raverhoop(6)

NAME
raverhoop - Simulates an LED hula hoop in a dark room.

SYNOPSIS
raverhoop [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-ncolors number] [-lights number] [-speed number] [-light-speed number] [-sustain number] [-no-wander] [-no-spin] [-fps]

DESCRIPTION
Simulates an LED hula hoop in a dark room. Oontz oontz oontz.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

-ncolors number
    The number of colors to use on the hoop. Default: 12.

-lights number
    The number of LEDs comprising the hoop. Default: 200.

-speed number
    Speed of the motion of the object. 2.0 means twice as fast, 0.5 means half as fast.

-light-speed number
    Speed at which the lights animate. 2.0 means twice as fast, 0.5 means half as fast.

-sustain number
    Speed at which the after-images / vapor trails fade away. 2.0 means they last twice as long, 0.5 means half as long.

-wander | -no-wander
    Whether the object should wander around the screen.

-spin | -no-spin
    Whether the scene itself should spin.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2016 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.